import * as _nuxt_schema from '@nuxt/schema';

interface Pixel {
    id: number | string;
    autoconfig?: boolean;
    pageView?: string;
}
interface ModuleOptions {
    [name: string]: Pixel;
}

declare module 'nuxt/schema' {
    interface PublicRuntimeConfig {
        metapixel: ModuleOptions;
    }
}
declare const _default: _nuxt_schema.NuxtModule<ModuleOptions>;

export { _default as default };
